This job view page is being replaced by Spyglass soon. Check out the new job view.
PRdependabot[bot]: chore(deps): bump github.com/onsi/ginkgo/v2 from 2.3.1 to 2.5.0
ResultFAILURE
Tests 0 failed / 0 succeeded
Started2022-11-08 17:05
Elapsed5m15s
Revision486225feb634d7668d097d1f0dc6c7377bd6d5be
Refs 2713

No Test Failures!


Error lines from build-log.txt

... skipping 123 lines ...
https://docs.docker.com/engine/reference/commandline/login/#credentials-store

Login Succeeded
/home/prow/go/src/sigs.k8s.io/cloud-provider-azure /home/prow/go/src/sigs.k8s.io/cluster-api-provider-azure
/home/prow/go/src/sigs.k8s.io/cluster-api-provider-azure
Image Tag is 9fd0575
Error response from daemon: manifest for capzci.azurecr.io/azure-cloud-controller-manager:9fd0575 not found: manifest unknown: manifest tagged by "9fd0575" is not found
Build Linux Azure amd64 cloud controller manager
make: Entering directory '/home/prow/go/src/sigs.k8s.io/cloud-provider-azure'
make ARCH=amd64 build-ccm-image
make[1]: Entering directory '/home/prow/go/src/sigs.k8s.io/cloud-provider-azure'
docker buildx inspect img-builder > /dev/null || docker buildx create --name img-builder --use
ERROR: no builder "img-builder" found
img-builder
# enable qemu for arm64 build
# https://github.com/docker/buildx/issues/464#issuecomment-741507760
docker run --privileged --rm tonistiigi/binfmt --uninstall qemu-aarch64
Unable to find image 'tonistiigi/binfmt:latest' locally
latest: Pulling from tonistiigi/binfmt
... skipping 320 lines ...
#15 4.052 # k8s.io/klog/v2
#15 4.052 vendor/k8s.io/klog/v2/klog.go:705:13: invalid operation: logr != nil (mismatched types logr.Logger and untyped nil)
#15 4.052 vendor/k8s.io/klog/v2/klog.go:724:13: invalid operation: logr != nil (mismatched types logr.Logger and untyped nil)
#15 4.052 vendor/k8s.io/klog/v2/klog.go:742:13: invalid operation: logr != nil (mismatched types logr.Logger and untyped nil)
#15 4.052 vendor/k8s.io/klog/v2/klog.go:763:13: invalid operation: logr != nil (mismatched types logr.Logger and untyped nil)
#15 4.052 vendor/k8s.io/klog/v2/klog.go:782:14: invalid operation: loggr != nil (mismatched types logr.Logger and untyped nil)
#15 4.052 vendor/k8s.io/klog/v2/klog.go:783:8: undefined: logr.WithCallDepth
#15 4.052 vendor/k8s.io/klog/v2/klog.go:794:14: invalid operation: loggr != nil (mismatched types logr.Logger and untyped nil)
#15 4.052 vendor/k8s.io/klog/v2/klog.go:795:8: undefined: logr.WithCallDepth
#15 4.052 vendor/k8s.io/klog/v2/klog.go:915:12: invalid operation: log != nil (mismatched types logr.Logger and untyped nil)
#15 4.052 vendor/k8s.io/klog/v2/klog.go:919:9: undefined: logr.WithCallDepth
#15 4.052 vendor/k8s.io/klog/v2/klog.go:919:9: too many errors
#15 9.166 # golang.org/x/sys/unix
#15 9.166 vendor/golang.org/x/sys/unix/syscall.go:83:16: unsafe.Slice requires go1.17 or later (-lang was set to go1.16; check go.mod)
#15 9.166 vendor/golang.org/x/sys/unix/syscall_linux.go:2255:9: unsafe.Slice requires go1.17 or later (-lang was set to go1.16; check go.mod)
#15 9.166 vendor/golang.org/x/sys/unix/syscall_unix.go:118:7: unsafe.Slice requires go1.17 or later (-lang was set to go1.16; check go.mod)
#15 9.166 vendor/golang.org/x/sys/unix/sysvshm_unix.go:33:7: unsafe.Slice requires go1.17 or later (-lang was set to go1.16; check go.mod)
#15 ERROR: process "/bin/sh -c go build ./cmd/cloud-controller-manager" did not complete successfully: exit code: 2
------
 > [builder 4/5] RUN --mount=type=cache,target=/root/.cache/go-build     go build ./cmd/cloud-controller-manager:
#15 4.052 vendor/k8s.io/klog/v2/klog.go:794:14: invalid operation: loggr != nil (mismatched types logr.Logger and untyped nil)
#15 4.052 vendor/k8s.io/klog/v2/klog.go:795:8: undefined: logr.WithCallDepth
#15 4.052 vendor/k8s.io/klog/v2/klog.go:915:12: invalid operation: log != nil (mismatched types logr.Logger and untyped nil)
#15 4.052 vendor/k8s.io/klog/v2/klog.go:919:9: undefined: logr.WithCallDepth
#15 4.052 vendor/k8s.io/klog/v2/klog.go:919:9: too many errors
#15 9.166 # golang.org/x/sys/unix
#15 9.166 vendor/golang.org/x/sys/unix/syscall.go:83:16: unsafe.Slice requires go1.17 or later (-lang was set to go1.16; check go.mod)
#15 9.166 vendor/golang.org/x/sys/unix/syscall_linux.go:2255:9: unsafe.Slice requires go1.17 or later (-lang was set to go1.16; check go.mod)
#15 9.166 vendor/golang.org/x/sys/unix/syscall_unix.go:118:7: unsafe.Slice requires go1.17 or later (-lang was set to go1.16; check go.mod)
#15 9.166 vendor/golang.org/x/sys/unix/sysvshm_unix.go:33:7: unsafe.Slice requires go1.17 or later (-lang was set to go1.16; check go.mod)
------
ERROR: failed to solve: process "/bin/sh -c go build ./cmd/cloud-controller-manager" did not complete successfully: exit code: 2
make[1]: *** [Makefile:127: build-ccm-image] Error 1
make[1]: Leaving directory '/home/prow/go/src/sigs.k8s.io/cloud-provider-azure'
make: *** [Makefile:273: build-ccm-image-amd64] Error 2
make: Leaving directory '/home/prow/go/src/sigs.k8s.io/cloud-provider-azure'
make: Entering directory '/home/prow/go/src/sigs.k8s.io/cloud-provider-azure'
rm -rf bin .pkg_config testResults
make: Leaving directory '/home/prow/go/src/sigs.k8s.io/cloud-provider-azure'
+ EXIT_VALUE=2
+ set +o xtrace
... skipping 8 lines ...